# En metod "pynta" för att ändra utseende hos en komponent
# Slumpar avslutningsknappen

from tkinter import *
from random import randrange

class Slumpspel(Frame):
    def pynta(self, komponent, bredd = 10, höjd = 5, bakgrundsfärg = "white", textfärg = "black", font = ("Courier", 12, "normal")):
        komponent["width"] = bredd
        komponent["height"] = höjd
        komponent["bg"] = bakgrundsfärg
        komponent["fg"] = textfärg
        komponent["font"] = font

    def skapaKnappar(self, antal):
        self.knapplista = []
        for nr in range(antal):
            ny = Button(self, text = str(nr+1))
            self.pynta(ny, font = self.font)
            ny.grid(row=nr//3, column=nr%3)
            self.knapplista.append(ny)
        slumpnr = randrange(antal)
        self.knapplista[slumpnr]["command"] = self.quit

    def __init__(self, master = None):
        Frame.__init__(self, master)
        self.grid()
        self.font = ("Times",20,"normal")
        self.antal = 9
        self.skapaKnappar(self.antal)

rot = Tk()
spel = Slumpspel(rot)
spel.mainloop()
rot.destroy()
